Bug 317401 - Brightness display increments too large on some displays
Brightness display increments too large on some displays
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: tpb (Show other bugs)
8
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-03 17:15 EDT by Matthew Saltzman
Modified: 2008-12-06 18:29 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-05 12:00:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xev output log. (37.29 KB, text/plain)
2008-01-11 19:35 EST, Matthew Saltzman
no flags Details

  None (edit)
Description Matthew Saltzman 2007-10-03 17:15:40 EDT
Description of problem:
On my Thinkpad T61, the screen brightness control has 15 steps.  The tpb display
only has seven increments.  As one dims brightness over the entire range, the
OSD displays a full bar, then steps down to an empty bar (seven steps), then
displays a full bar (eighth step), then steps down to an empty bar (seven steps).

Version-Release number of selected component (if applicable):
tpb-0.6.409.fc8

How reproducible:
Always.

Steps to Reproduce:
1. Step through brightness settings with <Fn>-<Home> and <Fn>-<End>
2.
3.
  
Actual results:
Described above.

Expected results:
One bar with 15 increments.

Additional info:
If it matters, NVidia Quadro NV140M using the vesa driver from Xorg.
Comment 1 Kevin Fenzi 2007-10-07 15:52:37 EDT
Yeah, I see where this is hard coded to 7... not sure how to modify it to detect
the models that have 15 instead of 7 easily however. :( I suppose I could change
it to 15 everywhere and those models with 7 would just have to hit twice as many
buttons. 

Upstream for tpb is very dead. 
I'll try and come up with a possible solution... I'm open to patches or other
ideas on it. ;) 

Thanks for the bug report!
Comment 2 Kevin Fenzi 2007-10-15 16:45:22 EDT
Looks like there are plans to have proper hal handling of thinkpad buttons soon,
and then tpb can just go away. :) 

Can you live with the current behavior for now? 
Comment 3 Matthew Saltzman 2007-10-15 17:06:01 EDT
I suppose so.  It's not really a mission-critical piece of software 8^).  

More annoying is the fact that the GNOME brightness applet only works over half
its range due to a similar bug, but that's a separate BZ entry.
Comment 4 Kevin Fenzi 2007-10-15 17:18:57 EDT
With this patch: 
https://www.redhat.com/archives/fedora-extras-commits/2007-October/msg03663.html
It should start working out of the box with no need to run tpb... 

Can you upgrade to the newest kernel tomorrow or later and see if its working as
expected?
Comment 5 Matthew Saltzman 2007-10-16 15:35:43 EDT
OK got kernel-2.6.23.1-16.fc8.  Removed tpb RPM.  No OSD.

Is there something else that needs to be set up or some other update I need?

Also, volume buttons don't beep.
Comment 6 Kevin Fenzi 2007-10-17 20:27:43 EDT
Sorry for the delay in answering. ;( 

Whats your setup there? Are you running gnome-power-manager? 

What do you mean the volume buttons don't beep? beep when pressed? 
Or don't cause any beeps to happen? Can you expand?
Comment 7 Matthew Saltzman 2007-10-19 13:52:52 EDT
(In reply to comment #6)
> Sorry for the delay in answering. ;( 

Yes, things can get a little wild around here, too.

> 
> Whats your setup there? Are you running gnome-power-manager? 

Yes.

> 
> What do you mean the volume buttons don't beep? beep when pressed? 
> Or don't cause any beeps to happen? Can you expand?

After a little experimenting, here's what I have:

- There is no OSD for any action.

- The brightness buttons increase and decrease brightness using the vesa driver
(the nv driver still doesn't work), but not with the nvidia proprietary driver.
 I believe that's an issue with the nvidia driver.

- The mute button mutes the sound.

- Pressing either volume button unmutes the sound if it was muted.  It does not
change the volume.  On my T41, pressing volume buttons results in an audible
beep indicating the volume level.  On this machine, there is no audible feedback
when pressing volume buttons.  Sound does work, though.

- The thinklight button works.

I have not tried other <Fn>-Fxx combinations.
Comment 8 Matthew Saltzman 2007-10-23 19:38:44 EDT
After the most recent round of updates:

- There is no OSD (of the sort that tpb provides) for any action.

- The brightness buttons behave as above.

- The mute button mutes the sound.

- The volume buttons bring up a GNOME indicator bar that "increases" when I
press Volume Up and "decreases" when I press Volume Down.  But the volume
doesn't change.  When the Volume Down button reaches its lowest setting, an X
appears in the indicator.  But the mute button does not affect this indicator at
all.
Comment 9 Jeremy Katz 2007-10-24 12:53:55 EDT
The mixer not syncing up is a known thing that needs some work (basically, our
entire mixer setup right now is a little spastic in some cases)

Brightness buttons should work, though -- do you get anything in dmesg when you
press them?  
Comment 10 Matthew Saltzman 2007-10-24 21:52:00 EDT
(In reply to comment #9)
> Brightness buttons should work, though -- do you get anything in dmesg when you
> press them?  

Apparently not.
Comment 11 Matthew Saltzman 2007-10-27 16:15:05 EDT
With kernel-2.6.23.1-35.fc8.x86_64, the volume control sliders in
system-config-soundcard and the GNOME volume control applet work, but the
ThinkPad button behavior has not changed from comment #8.  There is still no OSD
for the brightness controls, at least with the vesa driver, and no OSD for
ThinkLight or zoom.  

None of the other Fn-Fx keys appear to do anything or display anything (except
Fn-F12, which does hibernate).
Comment 12 Kevin Fenzi 2007-11-05 22:11:11 EST
So it sounds like it might be an issue with the vesa driver? 
Or are you using the nvidia binary driver? 

Also, gnome-power-manager is running, correct? 

If you run 'xev' and press the up/down brightness keys, do you get anything output?
Comment 13 Matthew Saltzman 2007-11-06 03:11:02 EST
This is the vesa driver.  The nv driver still doesn't work at all (black
screen).  The nvidia binary driver doesn't respond to brightness buttons at all
(a known issue on the nvidia support site, though what to do about it isn't clear).

Am traveling, but will test xev next time I'm near the machine.
Comment 14 Matthew Saltzman 2008-01-11 19:35:10 EST
Created attachment 291442 [details]
xev output log.
Comment 15 Matthew Saltzman 2008-01-11 19:35:59 EST
Sorry, forgot about this.  Attaching some xev output.  Started xev, pressed the
mute key and got nothing logged.  Then pressed volume up and down and brightness
up and down.  Then there are a whole bunch more events from getting out of xev.
Comment 16 Kevin Fenzi 2008-01-16 00:10:12 EST
Not sure what to do with this... hopefully jeremy will be able to take a look
and see why his kernel patch isn't working for you. ;( 
Comment 17 Bug Zapper 2008-11-26 02:54:07 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 18 Kevin Fenzi 2008-12-04 23:51:09 EST
Matthew: so sorry this fell off the radar. ;( 

Whats the current status? Does it work in a more recent release?
Comment 19 Matthew Saltzman 2008-12-05 11:48:09 EST
I'm using Fedora 10 on that machine now.  I did not install OSD or TPB.  The GNOME brightness indicator correctly shows all 15 increments in the window.

Is there any reason I'd want TPB for F10?  I haven't tested all the other F-keys yet.
Comment 20 Kevin Fenzi 2008-12-05 12:00:07 EST
>I'm using Fedora 10 on that machine now.  I did not install OSD or TPB.  The
>GNOME brightness indicator correctly shows all 15 increments in the window.

Excellent. 

>Is there any reason I'd want TPB for F10?  I haven't tested all the other
>F-keys yet.

No. tpb is not really maintained anymore, and isn't really needed either. 

I'm going to go ahead and close this out now...
Comment 21 Matthew Saltzman 2008-12-06 18:29:48 EST
BTW, the volume control buttons are working now, too.

Thought you'd like to know.

Note You need to log in before you can comment on or make changes to this bug.